=== debian/changelog ===
veristat (0.3.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1072186)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 14 Jun 2024 22:57:04 +0100
