=== debian/control ===
Source: veristat
Section: utils
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), libbpf-dev
Standards-Version: 4.6.2
Homepage: https://github.com/libbpf/veristat
Vcs-Browser: https://salsa.debian.org/sudip/veristat
Vcs-Git: https://salsa.debian.org/sudip/veristat.git

Package: veristat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Tool to load, verify and debug BPF object files
 veristat is the tool for loading, verifying, and debugging BPF object files.
 It allows to work with BPF object files convenient and quickly, without having
 to use or modify corresponding user-space parts of an application.
