=== debian/changelog ===
veristat (0.4-1) unstable; urgency=medium

  * New upstream version 0.4
  * Update Standards-Version to 4.7.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 24 Dec 2024 12:50:01 +0000
