=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), libbpf-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/libbpf/veristat
 Vcs-Browser: https://salsa.debian.org/sudip/veristat
 Vcs-Git: https://salsa.debian.org/sudip/veristat.git
