=== debian/rules ===
#!/usr/bin/make -f

OPTS=prefix=/usr

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install -- $(OPTS)
