=== debian/changelog ===
veristat (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Update Standards-Version to 4.7.2
  * remove old fsf postal address.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 23 Aug 2025 22:30:26 +0100
